
WikiNG - Improvement #2160

Rename {{version}} to {{hidden}}

06 Mar 2013 10:18 - Miodrag Milic

Status: Incomplete Start date: 06 Mar 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

External issue:    

Description

I use  to hide sensitive data.

Why not adding full featured macro that does this and displays *** if you don’t have adquate rights, just like

This is the /.

History

#1 - 09 Apr 2013 10:47 - Andriy Lesyuk

- Status changed from New to Incomplete

- Assignee set to Andriy Lesyuk

Why renaming then? I guess it’s about new macro, e.g., {{hidden}}.

However, I did not get how the plugin should check rights? I.e., in what condition it should show the text and in what ***? Special permission?

#2 - 09 Apr 2013 19:02 - Miodrag Milic

Andriy Lesyuk wrote:

Why renaming then? I guess it’s about new macro, e.g., {{hidden}}.

 

Because it does what hidden should do, including the admin section where you have right “view hidden text”.

However, I did not get how the plugin should check rights? I.e., in what condition it should show the text and in what ***? Special permission?

 

Yes, the one I mentioned above,or entirely new one since that is not enough - the one needs to disable hidden text showing in wiki history and in

various exports.
